# Modifier un article de la FAQ

## Accéder aux articles sur GitLab

L'intagralité du contenu du site de la FAQ est disposé sur le dépôt [faq.adullact.org](https://gitlab.adullact.net/adullact/faq.adullact.org).

Sur cette page d'accueil, plusieurs dossiers apparaissent. Les articles sont contenus dans le dossier **FAQ_articles** (voir l'[image](./images/gitlab/arborescence-racine.png "Arborescence - Racine")).

Une fois dans ce dossier, il suffit de se rendre là où est l'article que l'on souhaite modifier, et de le sélectionner pour l'afficher.

## Ouvrir l'article en mode édition

Une fois affiché, l'article doit être modifié pour pouvoir être dépublié. Pour le modifier, il faut cliquer sur le bouton **Edit** en haut à droit de celui-ci (voir l'[image](./images/gitlab/editer-un-article.png "Editer un article")).

Pour en savoir plus sur les règles syntaxiques propres au MarkDown, une documentation est disponible en cliquant sur ce [lien](./syntax-redaction-articles/README.md).

## Valider les modifications

Une fois la modification effectuée, il faut l'ajouter au dépôt par un **commit**. Ce commit a pour but d'informer de la modification qui a été faite pour pouvoir retrouver celle-ci plus facilement.

Le commit se fait sur la page d'édition, dans l'encadré situé en-dessous du l'article (voir l'[image](./images/gitlab/commit-message.png)).

Comme montré sur l'[image](./images/gitlab/commit-message.png), ce message doit contenir une brève explication de ce qui a été modifié, et doit être fait sur la branche **main**.

Une fois les modifications faites, il suffit de cliquer sur le bouton **Commit changes** (voir l'[image](./images/gitlab/valider-commit.png)) pour que les modifications soient prises en compte et ajoutées à sur le site de la FAQ.
